Variogram {nlme} | R Documentation

## Calculate Semi-variogram

### Description

This function is generic; method functions can be written to handle specific classes of objects. Classes which already have methods for this function include `default`, `gls` and `lme`. See the appropriate method documentation for a description of the arguments.

### Usage

    Variogram(object, distance, ...)

### Arguments

`object` | a numeric vector with the values to be used for calculating the semi-variogram, usually a residual vector from a fitted model.
`distance` | a numeric vector with the pairwise distances corresponding to the elements of `object`. The order of the elements in `distance` must correspond to the pairs `(1,2), (1,3), ..., (n-1,n)`, with `n` representing the length of `object`, and must have length `n(n-1)/2`.
`...` | some methods for this generic function require additional arguments.

### Value

will depend on the method function used; see the appropriate documentation.

### Author(s)

Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates bates@stat.wisc.edu

### References

Cressie, N.A.C. (1993), "Statistics for Spatial Data", J. Wiley & Sons.

### See Also

`Variogram.default`,`Variogram.gls`, `Variogram.lme`, `plot.Variogram`

### Examples

    ## see the method function documentation

[Package nlme version 3.1-60 Index]